<template>
  <div
    class="variant-item"
    @click="handleSelectColor"
    :class="{ selected: color == selectedColor }"
  >
    <i
      class="variant-image"
      :style="{ backgroundImage: `url(${color.image})` }"
    ></i
    >{{ color.name }}
  </div>
</template>
<script>
import { mapState } from "vuex";
export default {
  props: {
    color: {
      type: Object,
      default: null
    }
  },
  methods: {
    handleSelectColor() {
      this.$store.commit("products/SET_SELECTED_COLOR", this.color);
    }
  },
  computed: {
    ...mapState({
      selectedColor: state => state.products.selectedColor
    })
  }
};
</script>
<style lang="scss" scoped>
.variant-item {
  min-width: 106px;
  -webkit-box-align: center;
  align-items: center;
  background-color: rgb(255, 255, 255);
  border-radius: 16px;
  border: 1px solid rgb(229, 231, 233);
  color: rgba(49, 53, 59, 0.68);
  display: inline-flex;
  vertical-align: top;
  flex: 1 1 0%;
  flex-wrap: nowrap;
  margin-bottom: 8px;
  margin-right: 8px;
  overflow: hidden;
  text-overflow: ellipsis;
  transition: all 0.28s ease-in-out 0s;
  cursor: pointer;
  min-width: 106px;
  height: 48px;
  padding: 3px 5px;
  line-height: 18px;
  font-size: 12px;
  white-space: normal;
}
.variant-image {
  flex-shrink: 0;
  width: 38px;
  height: 38px;
  background-size: 38px;
  border-radius: 12px;
  margin-left: 0px;
}
.selected {
  border: 1px solid rgb(79, 209, 90);
  color: rgb(3, 172, 14);
}
</style>
